Generates a Pix v2
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashout/pix/v2 \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 100,
"description": "description",
"external_id": "external_id 1",
"reference": "05964110000197",
"reference_tax_number": "05964110000197",
"type": "key",
"virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/pix/v2"
payload = {
"amount": 100,
"description": "description",
"external_id": "external_id 1",
"reference": "05964110000197",
"reference_tax_number": "05964110000197",
"type": "key",
"virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 100,
description: 'description',
external_id: 'external_id 1',
reference: '05964110000197',
reference_tax_number: '05964110000197',
type: 'key',
virtual_account_id: '1a760495-cb95-4023-96e8-0cff5776b010'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashout/pix/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"payment_document_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Transfer (Pix)
Generate a Pix Payment (v2)
Generate a Pix payment using the v2 endpoint, pix key direct
POST
/
banking
/
cashout
/
pix
/
v2
Generates a Pix v2
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
The generation Pix v2 attributes
Body params to generate a Pix v2
Amount
Required range:
x <= 100000000000Receiver Pix key or receiver brcode
Pix reference type
Available options:
key, brcode Unique identifier
Pix description
External ID
Platform ID
Receiver bank account list reference
Show child attributes
Show child attributes
Receiver tax number reference
Response
GeneratePixV2
Response schema for a single Pix generation
Show child attributes
Show child attributes
⌘I

